import request from '@/utils/httpRequest'

export default class reimbursementSys {
  findList (params) {
    return request({
      url: '/project/reimbursementUser/findList',
      method: 'get',
      params: params
    })
  }

  save (inputForm) {
    return request({
      url: `/project/reimbursementUser/save`,
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/project/reimbursementUser/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: `/project/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }

  getReimbursementQuotaDay () {
    return request({
      url: `/project/reimbursementUser/getReimbursementQuotaDay`,
      method: 'get'
    })
  }

  findListByUserId (params) {
    return request({
      url: `/project/reimbursementUser/findListByUserId`,
      method: 'get',
      params: params
    })
  }

  exportTemplate () {
    return request({
      url: '/project/reimbursementUser/import/template',
      method: 'get',
      responseType: 'blob'
    })
  }

  importExcel (data) {
    return request({
      url: '/project/reimbursementUser/import',
      method: 'post',
      data: data
    })
  }

  initialize (params) {
    return request({
      url: '/project/reimbursementUser/initialize',
      method: 'post',
      params: params
    })
  }

  exportExcel (params) {
    return request({
      url: '/project/reimbursementUser/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
